GDB (xrefs)

Public Attributes | List of all members
catcher Struct Reference

## Public Attributes
enum catcher_state | state
jmp_buf | buf
struct gdb_exception | exception
struct cleanup * | saved_cleanup_chain
struct catcher * | prev

## Detailed Description

Definition at line 43 of file common-exceptions.c.

## Member Data Documentation

## ◆ buf

jmp_buf catcher::buf

Definition at line 47 of file common-exceptions.c.

Referenced by exceptions_state_mc_init(), and throw_exception_sjlj().

## ◆ exception

struct gdb_exception catcher::exception

Definition at line 49 of file common-exceptions.c.

Referenced by exceptions_state_mc_catch(), exceptions_state_mc_init(), throw_exception(), throw_exception_cxx(), and throw_exception_sjlj().

## ◆ prev

struct catcher* catcher::prev

Definition at line 52 of file common-exceptions.c.

Referenced by catcher_pop(), and exceptions_state_mc_init().

## ◆ saved_cleanup_chain

struct cleanup* catcher::saved_cleanup_chain

Definition at line 50 of file common-exceptions.c.

Referenced by catcher_pop(), and exceptions_state_mc_init().

## ◆ state

enum catcher_state catcher::state

Definition at line 45 of file common-exceptions.c.

Referenced by exceptions_state_mc(), and exceptions_state_mc_init().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/common-exceptions.c